# Roadmap
All the future changes will be documented here.

## [Issues]
See the [issues](https://gitlab.com/experimentslabs/website/website/issues) for a list.

## [Next] - Already done

### Added

### Changed

### Improved

### Removed

### Fixed

## Planned

Note that the elements in this list may change during development; it' a
general idea of what will be done next.
  - [5.0.0] - Mostly redesign, announcements
  - [6.0.0] - Teams to attach user and distant people to projects
  - [7.0.0] - Projects: commits aggregation
  - [8.0.0] - Users: service status aggregation without storage for now
  - [9.0.0] - Raw content for everything

## Wonderland
  - ~~Rails engine~~ (since 2.0.0)
  - Move HTML helpers to decorators (https://github.com/drapergem/draper)
    AND/OR use a better templating system, as [Cells](http://trailblazer.to/gems/cells/)
  - Support for custom fields ?
  - Export raw content (markdown, files)
  - Content translations (community made)
  - Teams (people with common projects)
  - Projects users
  - Urls management (lists of URLs, favorites, sources,...)
  - Content: code snippets
  - ~~Content references (reference others work in your own work)~~
    (since 4.0.0, with shortcodes)
  - Better license support (i.e.: html tags for creative commons licenses)
  - ~~Widgets (to add custom content in created content)~~ (since 4.0.0,
    with shortcodes)
  - Data aggregation from various VCS providers
  - Data aggregation for users profiles from various providers
  - An API ?
  - Sharing things across Elabs instances?
  - ...
