module Elabs
  module ContentRendererHelper
    def markdown(text, reference_entity = nil, show_short_codes = true)
      return '' if text.nil?

      process_short_codes CommonMarker.render_html(text, [:DEFAULT], [:table]).html_safe,
                          reference_entity,
                          show_short_codes
    end

    def render_entity_content(entity, field, show_short_codes = true)
      markdown entity.send(field), entity, show_short_codes
    end
  end
end
