module Elabs
  class AssociatedAuthorValidator < ActiveModel::Validator
    def validate(record)
      options[:relations].each do |association|
        record.send(association.pluralize).each do |element|
          record.errors[:base] << format(_('This %<model>s is not yours'), model: association) if element.user_id != record.user_id
        end
      end
    end
  end
end
