module Elabs
  class Notification < ApplicationRecord
    self.table_name = 'notifications'
    belongs_to :content, polymorphic: true
    belongs_to :user
    belongs_to :source_user, class_name: 'Elabs::User', optional: true

    scope :for_user, ->(id) { where(user_id: id) }
  end
end
